\environment entorn

\starttext

\startsubject[title={Problemes de proporcionalitat directa}]

\startsubsubject[title={Preguntes}]

<%

exercicis = Hash.new

%>

<%# Exercici 1 %>
<%
exercicis[1] = Array.new

for i in (1...2)
	parametres = Hash.new
	# Nombre de productes
	parametres['a'] = rand(2..10)
	# El que costa cada producte
	parametres['b'] = (1+rand).round(2)
	# El nombre de productes que comprem
	parametres['c'] = rand(11..20)
	parametres['d'] = rand(20..50)
	exercicis[1].push(parametres)
end
%>

\startexercici[reference=exercici-1]
<% exercicis[1].each do |par| %>
Sabem que $<%=par['a']%>$ llapis costen $<%=(par['a']*par['b']).round(2)%>$ €.
\startitemize[a]
\item Què costarien $<%=par['c']%>$ llapis?
\item Quants llapis podríem comprar amb $<%=par['d']%>$ €?
\stopitemize
<% end %>
\stopexercici



<%# Exercici 2 %>
<%
exercicis[2] = Array.new

for i in (1...2)
	parametres = Hash.new
	  
	parametres['a'] = rand(20..300)
	parametres['b'] = rand(3..12)
	parametres['c'] = parametres['a'] + rand(20..50)
	parametres['d'] = rand(parametres['b']*60..(parametres['b']+100)*60)
	  
	exercicis[2].push(parametres)
end
%>


\startexercici[reference=exercici-2]
<% exercicis[2].each do |par| %>
Una màquina fa $<%=par['a']%>$ litres de refresc en $<%=par['b']%>$ hores.
\startitemize[a]
\item Quant temps tardaria en fer $<%=par['c']%>$ litres?
\item Quants litres produiria en $<%=par['d']%>$ minuts?
\stopitemize
<% end %>
\stopexercici



<%# Exercici 3 %>
<%
exercicis[3] = Array.new

for i in (1...2)
  parametres = Hash.new
  
  parametres['a'] = rand(10..100)
  parametres['b'] = rand(20..60)
  parametres['c'] = rand(60..100)
  
  exercicis[3].push(parametres)
end
%>


\startexercici[reference=exercici-3]
<% exercicis[3].each do |par| %>
Un tren recorre $<%=par['a']%> \unit{kilo meter}$ en $<%=par['b']%>$ minuts. Quina distància recorreria en $<%=par['c']%>$ minuts?
<% end %>
\stopexercici

\stopsubsubject


<%# ----------------------- Solucions ------------------------ %>
\page[yes]
\startsubsubject[title={Solucions}]

\startitemize

\sym{\in[exercici-1]}
\startitemize[a, text]
<% exercicis[1].each do |par| %>
\item $<%=(par['b']*par['c']).round(2)%>$ €
\item Teòricament, $<%=(par['d']/par['b']).to_f.round(2)%>$ llapis. Per tant, a la pràctica, $<%=(par['d']/par['b']).to_i%>$ llapis.
\stopitemize
<% end %>

\sym{\in[exercici-2]}
\startitemize[a, text]
<% exercicis[2].each do |par| %>
\item Tardaria, aproximadament, $<%=(par['b'].to_f/par['a'].to_f*par['c'].to_f).to_f.round(2)%>$ hores
\item Produiria, aproximadament, $<%=((par['a']*par['d']).to_f/(60*par['b']).to_f).round(2)%>$ litres
<% end %>
\stopitemize

\sym{\in[exercici-3]}
\startitemize[a, text]
<% exercicis[3].each do |par| %>
\item Recorreria, aproximadament, $<%=((par['a']*par['c']).to_f/par['b'].to_f).round(2)%> \unit{kilo meter}$. 
<% end %>
\stopitemize


\stopitemize

\vfill
Les solucions d'aquests exercicis s'han calculat automàticament usant programari lliure: encara que totes les expressions són correctes, potser algunes es poden simplificar més.

\stopsubsubject

\stopsubject

\stoptext
